TULISAN - Feature #3577

Perubahan Perhitungan Tax di Sales
04/23/2025 05:18 PM - haykal haykal

Status: Closed Start date: 04/23/2025
Priority: Normal Due date:

Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 4.00 hours
Description

Dear Developer,

Jadi 'kan sebelumnya perhitungan Tax itu tidak memperhitungkan Shipping Cost. Sekarang ingin agar perhitungan Taxnya
memperhitungkan Shipping Cost juga. Untk detail penghitungannya ada di file yang saya attach.

Tujuannya agar jurnal yang terbentuk seperti di file yang saya attach itu. Namun di redmine #3568 Mbak Yomma ada note kalau
perbaikannya itu harus dilakukan dari perhitungan nilai Tax di document Sales.

Tolong diperbaiki ya.

Port: https:/tulisan-dev.minovais.com/
DB: MinovaES_Tulisan_Dev (89)

Terimakasih.

History

#1 - 04/24/2025 01:30 PM - haykal haykal
- Status changed from New to Assigned

- Assignee changed from Kezia Pawitra Yulianti to shofwan shiddigq

#2 - 04/24/2025 03:31 PM - Tri Rizqgiaty
- Assignee changed from shofwan shiddiq to haykal haykal

Untuk perubahan ini, sepertinya hrs ada penambahan field NetShippingCost (Include : dikurangi tax , Exclude : ditambah tax ongkir) di table header
yg akan terisi otomatis di Ul.

Field ini dibutuhkan untuk settingan di FILOINTEGRATE, jd tlg rubah settingannya.

& tambahkan field ini di docfield untuk smua doctype sales.

#3 - 04/24/2025 04:36 PM - haykal haykal

- Assignee changed from haykal haykal to shofwan shiddiq

Sudah ditambahkan field NetShippingCost di PTRSALESHEADER di tabel fisik, SDATATABLEFIELD, dan PCMBSDOCFIELD
Dan di PFILOINTEGRATE juga sudah aku tambahkan.

Terimakasih.

#4 - 04/24/2025 05:13 PM - Tri Rizqiaty
Jadi perubahannya adalah field NetShippingCost & TotalTax di PTRSALESHEADER, diisi di Ul.

#5 - 04/28/2025 11:42 AM - shofwan shiddiq

- File clipboard-202504281139-zfrge.png added

- File clipboard-202504281142-fbtkh.png added

- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal

Dear, untuk field Net Shipping Cost sudah di isi dari Ul ya berdasarkan perhitungan tax
http://remote.minovais.com:3000/redmine/issues/3568
https://tulisan-dev.minovais.com/

Net Shipping Cost = Shipment Cost/ (1 + (11 /100))

Payment Method

Order Submitted

Document Number: 00000642
Customer: Aaa

select * from PTRSALESHEADER where Dochlo='@88808642"

76 % e
B Results il Messages

#6 - 04/28/2025 04:33 PM - haykal haykal

- File DocNo Sales 00000653 Pajak masih 0.png added
- Status changed from QA Test to Assigned

- Assignee changed from haykal haykal to Tri Rizqiaty

Untk nilai di NetShippingCost nya gw lihat udh bener Wan.
Cuma di jurnal Accountingnya aja masih salah. Nilai PPN nya bim muncul (masih 0)
Mungkin Mbak Yomma bisa bantu ya.

DocNo SORD: 00000653
ShippingMethod ETD ShipmentRealization ShippingCost  Shift BatchlD TotalAmount TotalDiscount TotalNetSales TotalTax MetShippingCost TotalMAP PaymentType PaymentlD PaymentAmount
1 2Ne6 01 10000.00 1 B-25042801 410000.00 0.00 360360.00 0.00 9009.00 101587.30 04 015
—



DocNo AR: 00000571

Kalau misalnya ada settingan yg kurang/salah infoin aja ya Mbak.
Terimakasih.

#7 - 04/28/2025 04:38 PM - haykal haykal

- File TotalTax masih 0.png added

- Status changed from Assigned to Revise

- Assignee changed from Tri Rizqgiaty to shofwan shiddiq

Tapi kalau dari sisi lu kayaknya masih ada yang salah juga sih Wan.

Soalnya gua lihat TotalTax nya 0 (foto diattach). Nilai di NetShippingCost nya memang sudah benar. Tapi 'kan tetap butuh nilai Tax (PPN) dari harga
dasar, bukan dari Shipping Cost doang.

DocNo Sales: 00000653
#8 - 05/01/2025 11:41 AM - shofwan shiddiq

- Status changed from Revise to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal

Berapa perhitungan total tax nya? Karena sebelumnya total tax tidak dihitung di CRM jadi saya ngga tau angka nya darimana? boleh di info rumus
nya dari mana? atau dari dokumen yg dibuat itu ( 00000653) harusnya berapa total tax nya

#9 - 05/02/2025 10:14 AM - haykal haykal

- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to shofwan shiddiq

Kalau dari contoh DocNo 00000653 field TotalTax nya adalah TotalNetSales x 11% = 765766 x 11% = 84234

Note: TotalTax yg gua jabarkan diatas adalah TotalTax yg sebelumnya (yg biasanya). TotalTax yg nilai PPNnya tidak memperhitungkan Shipping
Cost. (Ini adalah TotalTax seperti biasanya sebelum field NetShippingCost dibuat)

Jadi untk perhitungan TotalTax ini ada dua case Wan. Case kalau dia ada shipping cost dan kalau dia tidak ada shipping cost. Untuk yg gw jelaskan
diatas adalah kalau case tidak ada Shipping Cost.

Kalau case yg ada Shipping Costnya adalah sebagai berikut:
TotalTax = TotalNetSales x 11% + NetShippingCost x 11% =765766 x 11% + 11261 x 11% = 84234 + 1239 = 85473

Jadi pada dasarnya nilai NetShippingCost itu adalah DPP dari Shipping Cost (saat ini sudah benar)
Terimakasih.

#10 - 05/05/2025 12:51 PM - shofwan shiddiq

- File clipboard-202505051251-4kksw.png added

- File clipboard-202505051251-joxms.png added

- Status changed from Revise to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal

Dear Haykal, total tax nya sudah masuk ya perhitungan nya, test DocNo 00000666
Payment Method
 Aa_tiemami_naa

Order Submitted

Document Number: 00000666
Customer: Ben

Confirm Tra

select * from PTRSALESHEADER where Doclo='20880666
select * from PTRSALESITEMS where Doclo-="@0@82666"

76 % -
B Results & Messages

ss  ShippingMethod ETD ShipmentRealization ShippingCost  Shift  BatchlD TotalAmount TotalDiscount TotalNetSales TotalTax  MNetShippingCost TotalNet TotalMAP PaymentType PaymentlD Paymenthm
1 oo 0.00 1 B-25050501 800000.00 0.00 320720.00 79279.20 000 0.00 12367150 04 016 800000.00
p—i
StartDate EndDate DiscountType DiscountPercentage  TaxType Tax TotAmount RefDocTr RefDocTy RefDoclD  Sequence Warehouse llemStatus  Sample QiySample MaterialType  QuReal  QiyAdjust B
1 0 1 79280.00 800000.00 o 0001 2 0.00 03 0.00 0.00 (

#11 - 05/05/2025 05:55 PM - haykal haykal
- Status changed from QA Test to Closed

Files

Contoh_Jurnal_PPN_yg_menghitung_dari_Shipping_Cost_juga_(revistt)2xsk 04/23/2025 haykal haykal
clipboard-202504281139-zfrge.png 69.9 KB 04/28/2025 shofwan shiddiq
clipboard-202504281142-fbtkh.png 18.3 KB 04/28/2025 shofwan shiddiq
DocNo Sales 00000653 Pajak masih 0.png 25.9 KB 04/28/2025 haykal haykal
TotalTax masih 0.png 1.32 KB 04/28/2025 haykal haykal
clipboard-202505051251-4kksw.png 70 KB 05/05/2025 shofwan shiddiq
clipboard-202505051251-joxms.png 28.5 KB 05/05/2025 shofwan shiddiq
